NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::Weld::FilletBuilder Class Reference

Represents a NXOpen::Weld::Fillet builder. More...

Inheritance diagram for NXOpen::Weld::FilletBuilder:
NXOpen::Features::FeatureBuilder NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  EnumConstructionMethod { EnumConstructionMethodDefault, EnumConstructionMethodRollAround }
 the options for which construction method to use. More...
 
enum  EnumContour { EnumContourNone, EnumContourConvex, EnumContourFlush, EnumContourConcave }
 the Contour enum. More...
 
enum  EnumExtendEdges { EnumExtendEdgesManual, EnumExtendEdgesAutomatic }
 the options for populating the edge selections. More...
 
enum  EnumExtensionMethod { EnumExtensionMethodAutomatic, EnumExtensionMethodByValue }
 the Extension enum. More...
 
enum  EnumFillFaceHolesType { EnumFillFaceHolesTypeNone, EnumFillFaceHolesTypeSet1, EnumFillFaceHolesTypeSet2, EnumFillFaceHolesTypeBoth }
 the fill method to be applied. More...
 
enum  EnumSkipWeldMethod { EnumSkipWeldMethodNumberLength, EnumSkipWeldMethodNumberSpacing, EnumSkipWeldMethodSpacingLength }
 the Skipweld enum. More...
 
enum  EnumWeldingType { EnumWeldingTypeT, EnumWeldingTypeLap, EnumWeldingTypeCorner }
 the WeldingType enum. More...
 

Public Member Functions

bool AddCosmeticEnd ()
 Returns the value identify if a cosmtic end should be added to each end of the fillet. More...
 
bool AllowBroken ()
 Returns the toggle to allow broken link. More...
 
bool AssignWeldPMI ()
 Returns the toggle to assign weld pmi. More...
 
bool Associative ()
 Returns the value identify if WAVE links should remain unbroken. More...
 
NXOpen::Weld::FilletBuilder::EnumConstructionMethod ConstructionMethod ()
 Returns the value for determining the construction method. More...
 
NXOpen::ExpressionContourHeight ()
 Returns the linear dimension contour height. More...
 
NXOpen::Weld::FilletBuilder::EnumContour ContourType ()
 Returns the contour. More...
 
bool DirectionVector1 ()
 Returns the face normal direction. More...
 
bool DirectionVector2 ()
 Returns the face normal direction for the second face. More...
 
bool DirectToggle ()
 Returns the toggle to change direction. More...
 
double DistTolerance ()
 Returns the distance tolerance. More...
 
NXOpen::SectionEdgeSet1 ()
 Returns the edge set1. More...
 
NXOpen::SectionEdgeSet2 ()
 Returns the edge set2. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderEndDist ()
 Returns the on path dimension end distance. More...
 
bool EndVector ()
 Returns the end direction reversed or not. More...
 
NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod EnumMethod ()
 Returns the enum method for skip welds. More...
 
NXOpen::Weld::FilletBuilder::EnumExtendEdges ExtendEdges ()
 Returns the value for how to populate the edge sets. More...
 
NXOpen::ExpressionExtensionDistance ()
 Returns the linear dimension extension distance. More...
 
NXOpen::Weld::FilletBuilder::EnumExtensionMethod ExtensionMethod ()
 Returns the extension method. More...
 
double FaceFillGapDistance ()
 Returns the distance the fillet will span when there are gaps in the sheet definition. More...
 
NXOpen::ScCollectorFaceSet1 ()
 Returns the face set1. More...
 
NXOpen::ScCollectorFaceSet2 ()
 Returns the face set2. More...
 
bool FieldWeld ()
 Returns the field weld. More...
 
NXOpen::Weld::FilletBuilder::EnumWeldingType FilletType ()
 Returns the fillet type. More...
 
NXOpen::Weld::FilletBuilder::EnumFillFaceHolesType FillFaceHoles ()
 Returns the value to identify if the face set should be filled during construction. More...
 
NXOpen::ExpressionFirstLeg ()
 Returns the linear dimension first leg. More...
 
NXOpen::ExpressionNumberOfWelds ()
 Returns the expression number indicates number of welds in skip welds. More...
 
NXOpen::NXObjectPmi ()
 Returns the pmi symbol. More...
 
NXOpen::ExpressionSecondLeg ()
 Returns the linear dimension second leg. More...
 
NXOpen::FaceSeedFace1 ()
 Returns the first seed face. More...
 
NXOpen::FaceSeedFace2 ()
 Returns the second seed face. More...
 
NXOpen::Point3d SeedPoint1 ()
 Returns the point on the first face. More...
 
NXOpen::Point3d SeedPoint2 ()
 Returns the point on the second face. More...
 
NXOpen::ExpressionSegmentLength ()
 Returns the linear dimension length indicates segment length for each weld. More...
 
void SetAddCosmeticEnd (bool addCosmeticEnd)
 Sets the value identify if a cosmtic end should be added to each end of the fillet. More...
 
void SetAllowBroken (bool allowBroken)
 Sets the toggle to allow broken link. More...
 
void SetAssignWeldPMI (bool assignWeldPMI)
 Sets the toggle to assign weld pmi. More...
 
void SetAssociative (bool associative)
 Sets the value identify if WAVE links should remain unbroken. More...
 
void SetConstructionMethod (NXOpen::Weld::FilletBuilder::EnumConstructionMethod constructionMethod)
 Sets the value for determining the construction method. More...
 
void SetContourType (NXOpen::Weld::FilletBuilder::EnumContour contour)
 Sets the contour. More...
 
void SetDirectionVector1 (bool directionVector1)
 Sets the face normal direction. More...
 
void SetDirectionVector2 (bool directionVector2)
 Sets the face normal direction for the second face. More...
 
void SetDirectToggle (bool directToggle)
 Sets the toggle to change direction. More...
 
void SetDistTolerance (double distTolerance)
 Sets the distance tolerance. More...
 
void SetEndVector (bool endVector)
 Sets the end direction reversed or not. More...
 
void SetEnumMethod (NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod enumMethod)
 Sets the enum method for skip welds. More...
 
void SetExtendEdges (NXOpen::Weld::FilletBuilder::EnumExtendEdges extendEdges)
 Sets the value for how to populate the edge sets. More...
 
void SetExtensionMethod (NXOpen::Weld::FilletBuilder::EnumExtensionMethod extensionMethod)
 Sets the extension method. More...
 
void SetFaceFillGapDistance (double faceFillGapDistance)
 Sets the distance the fillet will span when there are gaps in the sheet definition. More...
 
void SetFieldWeld (bool fieldWeld)
 Sets the field weld. More...
 
void SetFilletType (NXOpen::Weld::FilletBuilder::EnumWeldingType filletType)
 Sets the fillet type. More...
 
void SetFillFaceHoles (NXOpen::Weld::FilletBuilder::EnumFillFaceHolesType fillFaceHolesType)
 Sets the value to identify if the face set should be filled during construction. More...
 
void SetPmi (NXOpen::NXObject *pmi)
 Sets the pmi symbol. More...
 
void SetSeedFace1 (NXOpen::Face *seedFace1)
 Sets the first seed face. More...
 
void SetSeedFace2 (NXOpen::Face *seedFace2)
 Sets the second seed face. More...
 
void SetSeedPoint1 (const NXOpen::Point3d &seedPoint1)
 Sets the point on the first face. More...
 
void SetSeedPoint2 (const NXOpen::Point3d &seedPoint1)
 Sets the point on the second face. More...
 
void SetStartVector (bool startVector)
 Sets the start direction reversed or not. More...
 
void SetThroatThickToggle (bool throatThickToggle)
 Sets the toggle throat thickness. More...
 
void SetToggleCreateSkipWelds (bool toggleCreateSkipWelds)
 Sets the toggle to create skip welds. More...
 
void SetToggleRecreateDeletedWelds (bool toggleRecreateDeletedWelds)
 Sets the toggle to recreate deleted welds. More...
 
void SetUparameter1 (double u1)
 Sets the u parameter for first face. More...
 
void SetUparameter2 (double u2)
 Sets the u parameter for second face. More...
 
void SetVparameter1 (double v1)
 Sets the v parameter for first face. More...
 
void SetVparameter2 (double v2)
 Sets the v parameter for second face. More...
 
NXOpen::ExpressionSpacing ()
 Returns the linear dimension spacing indicates distance between each weld. More...
 
NXOpen::GeometricUtilities::OnPathDimensionBuilderStartDist ()
 Returns the on path dimension start distance. More...
 
bool StartVector ()
 Returns the start direction reversed or not. More...
 
bool ThroatThickToggle ()
 Returns the toggle throat thickness. More...
 
bool ToggleCreateSkipWelds ()
 Returns the toggle to create skip welds. More...
 
bool ToggleRecreateDeletedWelds ()
 Returns the toggle to recreate deleted welds. More...
 
double Uparameter1 ()
 Returns the u parameter for first face. More...
 
double Uparameter2 ()
 Returns the u parameter for second face. More...
 
double Vparameter1 ()
 Returns the v parameter for first face. More...
 
double Vparameter2 ()
 Returns the v parameter for second face. More...
 
NXOpen::Weld::CharacteristicsBuilderWeldingCharacteristics ()
 Returns the welding characteristics. More...
 
- Public Member Functions inherited from NXOpen::Features::FeatureBuilder
NXOpen::Features::FeatureCommitFeature ()
 Commits the feature parameters and creates the feature. More...
 
NXOpen::Features::FeatureGetFeature ()
 Returns the feature currently being edited by this builder. More...
 
void HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature)
 Re-suppress an internal parent feature (a slave feature) after it has been edited. More...
 
bool ParentFeatureInternal ()
 Returns whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
bool PatchSolutionFlag ()
 Returns the patch solution flag
Created in NX8.0.1. More...
 
NXString PatchSurfaceFilename ()
 Returns the patch surface filename
Created in NX8.0.1. More...
 
void SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the parent features which would be internal or slaves to the feature being created or commited
Created in NX6.0.0. More...
 
void SetParentFeatureInternal (bool isInternal)
 Sets whether or not the latest timestamped parent feature of this feature should be made internal
Created in NX5.0.0. More...
 
void SetPatchSolutionFlag (bool optionValue)
 Sets the patch solution flag
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const NXString &surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetPatchSurfaceFilename (const char *surfaceFilename)
 Sets the patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename)
 Sets the surrounding patch surface filename
Created in NX8.0.1. More...
 
void ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature)
 Unsuppress an internal parent feature (a slave feature) so it can be edited. More...
 
NXString SurroundingPatchSurfaceFilename ()
 Returns the surrounding patch surface filename
Created in NX8.0.1. More...
 
void UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature)
 Set the internal parent feature of the feature being edited to external
Created in NX6.0.0. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::Weld::Fillet builder.


To create a new instance of this class, use NXOpen::Weld::WeldManager::CreateFilletBuilder
Default values.

Property Value

AddCosmeticEnd

0

AllowBroken

0

AssignWeldPMI

0

Associative

1

ContourHeight.Value

1.875 (millimeters part), .073818 (inches part)

ContourType

None

EnumMethod

NumberLength

ExtendEdges

Manual

ExtensionDistance.Value

0.0254 (millimeters part), 0.001 (inches part)

ExtensionMethod

Automatic

FaceFillGapDistance

0.0 (millimeters part), 0.0 (inches part)

FieldWeld

0

FillFaceHoles

None

FilletType

T

FirstLeg.Value

6.25 (millimeters part), .246062 (inches part)

NumberOfWelds.Value

3

SecondLeg.Value

6.25 (millimeters part), .246062 (inches part)

SegmentLength.Value

3 (millimeters part), .118110 (inches part)

Spacing.Value

3 (millimeters part), .118110 (inches part)

ThroatThickToggle

0

ToggleCreateSkipWelds

0

ToggleRecreateDeletedWelds

0


Created in NX8.0.0.

Member Enumeration Documentation

the options for which construction method to use.

Enumerator
EnumConstructionMethodDefault 

default

EnumConstructionMethodRollAround 

roll around

the Contour enum.

Enumerator
EnumContourNone 

none

EnumContourConvex 

convex

EnumContourFlush 

flush

EnumContourConcave 

concave

the options for populating the edge selections.

Enumerator
EnumExtendEdgesManual 

manual

EnumExtendEdgesAutomatic 

automatic

the Extension enum.

Enumerator
EnumExtensionMethodAutomatic 

automatic

EnumExtensionMethodByValue 

by value

the fill method to be applied.

Enumerator
EnumFillFaceHolesTypeNone 

none

EnumFillFaceHolesTypeSet1 

set1

EnumFillFaceHolesTypeSet2 

set2

EnumFillFaceHolesTypeBoth 

both

the Skipweld enum.

Enumerator
EnumSkipWeldMethodNumberLength 

number length

EnumSkipWeldMethodNumberSpacing 

number spacing

EnumSkipWeldMethodSpacingLength 

spacing length

the WeldingType enum.

Enumerator
EnumWeldingTypeT 

t

EnumWeldingTypeLap 

lap

EnumWeldingTypeCorner 

corner

Member Function Documentation

bool NXOpen::Weld::FilletBuilder::AddCosmeticEnd ( )

Returns the value identify if a cosmtic end should be added to each end of the fillet.


Created in NX10.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::AllowBroken ( )

Returns the toggle to allow broken link.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::AssignWeldPMI ( )

Returns the toggle to assign weld pmi.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::Associative ( )

Returns the value identify if WAVE links should remain unbroken.


Created in NX10.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumConstructionMethod NXOpen::Weld::FilletBuilder::ConstructionMethod ( )

Returns the value for determining the construction method.

Default method should be used for all conditions, unless you know the situation if for the roll around condition.
Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::FilletBuilder::ContourHeight ( )

Returns the linear dimension contour height.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumContour NXOpen::Weld::FilletBuilder::ContourType ( )

Returns the contour.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::DirectionVector1 ( )

Returns the face normal direction.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::DirectionVector2 ( )

Returns the face normal direction for the second face.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::DirectToggle ( )

Returns the toggle to change direction.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::FilletBuilder::DistTolerance ( )

Returns the distance tolerance.


Created in NX8.0.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::FilletBuilder::EdgeSet1 ( )

Returns the edge set1.


Created in NX8.0.0.

License requirements : None

NXOpen::Section* NXOpen::Weld::FilletBuilder::EdgeSet2 ( )

Returns the edge set2.


Created in NX8.0.0.

License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::FilletBuilder::EndDist ( )

Returns the on path dimension end distance.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::EndVector ( )

Returns the end direction reversed or not.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod NXOpen::Weld::FilletBuilder::EnumMethod ( )

Returns the enum method for skip welds.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumExtendEdges NXOpen::Weld::FilletBuilder::ExtendEdges ( )

Returns the value for how to populate the edge sets.


Created in NX10.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::FilletBuilder::ExtensionDistance ( )

Returns the linear dimension extension distance.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumExtensionMethod NXOpen::Weld::FilletBuilder::ExtensionMethod ( )

Returns the extension method.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::FilletBuilder::FaceFillGapDistance ( )

Returns the distance the fillet will span when there are gaps in the sheet definition.


Created in NX10.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::FilletBuilder::FaceSet1 ( )

Returns the face set1.


Created in NX8.0.0.

License requirements : None

NXOpen::ScCollector* NXOpen::Weld::FilletBuilder::FaceSet2 ( )

Returns the face set2.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::FieldWeld ( )

Returns the field weld.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumWeldingType NXOpen::Weld::FilletBuilder::FilletType ( )

Returns the fillet type.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::FilletBuilder::EnumFillFaceHolesType NXOpen::Weld::FilletBuilder::FillFaceHoles ( )

Returns the value to identify if the face set should be filled during construction.

Only holes fully bounded by a single face will be filled.
Created in NX12.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::FilletBuilder::FirstLeg ( )

Returns the linear dimension first leg.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::FilletBuilder::NumberOfWelds ( )

Returns the expression number indicates number of welds in skip welds.


Created in NX8.0.0.

License requirements : None

NXOpen::NXObject* NXOpen::Weld::FilletBuilder::Pmi ( )

Returns the pmi symbol.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::FilletBuilder::SecondLeg ( )

Returns the linear dimension second leg.


Created in NX8.0.0.

License requirements : None

NXOpen::Face* NXOpen::Weld::FilletBuilder::SeedFace1 ( )

Returns the first seed face.


Created in NX8.0.0.

License requirements : None

NXOpen::Face* NXOpen::Weld::FilletBuilder::SeedFace2 ( )

Returns the second seed face.


Created in NX8.0.0.

License requirements : None

NXOpen::Point3d NXOpen::Weld::FilletBuilder::SeedPoint1 ( )

Returns the point on the first face.


Created in NX8.0.0.

License requirements : None

NXOpen::Point3d NXOpen::Weld::FilletBuilder::SeedPoint2 ( )

Returns the point on the second face.


Created in NX8.0.0.

License requirements : None

NXOpen::Expression* NXOpen::Weld::FilletBuilder::SegmentLength ( )

Returns the linear dimension length indicates segment length for each weld.


Created in NX8.0.0.

License requirements : None

void NXOpen::Weld::FilletBuilder::SetAddCosmeticEnd ( bool  addCosmeticEnd)

Sets the value identify if a cosmtic end should be added to each end of the fillet.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
addCosmeticEndaddcosmeticend
void NXOpen::Weld::FilletBuilder::SetAllowBroken ( bool  allowBroken)

Sets the toggle to allow broken link.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
allowBrokenallowbroken
void NXOpen::Weld::FilletBuilder::SetAssignWeldPMI ( bool  assignWeldPMI)

Sets the toggle to assign weld pmi.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
assignWeldPMIassignweldpmi
void NXOpen::Weld::FilletBuilder::SetAssociative ( bool  associative)

Sets the value identify if WAVE links should remain unbroken.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
associativeassociative
void NXOpen::Weld::FilletBuilder::SetConstructionMethod ( NXOpen::Weld::FilletBuilder::EnumConstructionMethod  constructionMethod)

Sets the value for determining the construction method.

Default method should be used for all conditions, unless you know the situation if for the roll around condition.
Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
constructionMethodconstructionmethod
void NXOpen::Weld::FilletBuilder::SetContourType ( NXOpen::Weld::FilletBuilder::EnumContour  contour)

Sets the contour.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
contourcontour
void NXOpen::Weld::FilletBuilder::SetDirectionVector1 ( bool  directionVector1)

Sets the face normal direction.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
directionVector1directionvector1
void NXOpen::Weld::FilletBuilder::SetDirectionVector2 ( bool  directionVector2)

Sets the face normal direction for the second face.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
directionVector2directionvector2
void NXOpen::Weld::FilletBuilder::SetDirectToggle ( bool  directToggle)

Sets the toggle to change direction.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
directToggledirecttoggle
void NXOpen::Weld::FilletBuilder::SetDistTolerance ( double  distTolerance)

Sets the distance tolerance.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
distTolerancedisttolerance
void NXOpen::Weld::FilletBuilder::SetEndVector ( bool  endVector)

Sets the end direction reversed or not.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
endVectorendvector
void NXOpen::Weld::FilletBuilder::SetEnumMethod ( NXOpen::Weld::FilletBuilder::EnumSkipWeldMethod  enumMethod)

Sets the enum method for skip welds.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
enumMethodenummethod
void NXOpen::Weld::FilletBuilder::SetExtendEdges ( NXOpen::Weld::FilletBuilder::EnumExtendEdges  extendEdges)

Sets the value for how to populate the edge sets.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
extendEdgesextendedges
void NXOpen::Weld::FilletBuilder::SetExtensionMethod ( NXOpen::Weld::FilletBuilder::EnumExtensionMethod  extensionMethod)

Sets the extension method.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
extensionMethodextensionmethod
void NXOpen::Weld::FilletBuilder::SetFaceFillGapDistance ( double  faceFillGapDistance)

Sets the distance the fillet will span when there are gaps in the sheet definition.


Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
faceFillGapDistancefacefillgapdistance
void NXOpen::Weld::FilletBuilder::SetFieldWeld ( bool  fieldWeld)

Sets the field weld.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
fieldWeldfieldweld
void NXOpen::Weld::FilletBuilder::SetFilletType ( NXOpen::Weld::FilletBuilder::EnumWeldingType  filletType)

Sets the fillet type.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
filletTypefillettype
void NXOpen::Weld::FilletBuilder::SetFillFaceHoles ( NXOpen::Weld::FilletBuilder::EnumFillFaceHolesType  fillFaceHolesType)

Sets the value to identify if the face set should be filled during construction.

Only holes fully bounded by a single face will be filled.
Created in NX10.0.0.

License requirements : ugweld ("UG WELD")

Parameters
fillFaceHolesTypefillfaceholestype
void NXOpen::Weld::FilletBuilder::SetPmi ( NXOpen::NXObject pmi)

Sets the pmi symbol.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
pmipmi
void NXOpen::Weld::FilletBuilder::SetSeedFace1 ( NXOpen::Face seedFace1)

Sets the first seed face.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
seedFace1seedface1
void NXOpen::Weld::FilletBuilder::SetSeedFace2 ( NXOpen::Face seedFace2)

Sets the second seed face.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
seedFace2seedface2
void NXOpen::Weld::FilletBuilder::SetSeedPoint1 ( const NXOpen::Point3d seedPoint1)

Sets the point on the first face.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
seedPoint1seedpoint1
void NXOpen::Weld::FilletBuilder::SetSeedPoint2 ( const NXOpen::Point3d seedPoint1)

Sets the point on the second face.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
seedPoint1seedpoint1
void NXOpen::Weld::FilletBuilder::SetStartVector ( bool  startVector)

Sets the start direction reversed or not.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
startVectorstartvector
void NXOpen::Weld::FilletBuilder::SetThroatThickToggle ( bool  throatThickToggle)

Sets the toggle throat thickness.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
throatThickTogglethroatthicktoggle
void NXOpen::Weld::FilletBuilder::SetToggleCreateSkipWelds ( bool  toggleCreateSkipWelds)

Sets the toggle to create skip welds.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
toggleCreateSkipWeldstogglecreateskipwelds
void NXOpen::Weld::FilletBuilder::SetToggleRecreateDeletedWelds ( bool  toggleRecreateDeletedWelds)

Sets the toggle to recreate deleted welds.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
toggleRecreateDeletedWeldstogglerecreatedeletedwelds
void NXOpen::Weld::FilletBuilder::SetUparameter1 ( double  u1)

Sets the u parameter for first face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
u1u1
void NXOpen::Weld::FilletBuilder::SetUparameter2 ( double  u2)

Sets the u parameter for second face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
u2u2
void NXOpen::Weld::FilletBuilder::SetVparameter1 ( double  v1)

Sets the v parameter for first face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
v1v1
void NXOpen::Weld::FilletBuilder::SetVparameter2 ( double  v2)

Sets the v parameter for second face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : ugweld ("UG WELD")

Parameters
v2v2
NXOpen::Expression* NXOpen::Weld::FilletBuilder::Spacing ( )

Returns the linear dimension spacing indicates distance between each weld.


Created in NX8.0.0.

License requirements : None

NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Weld::FilletBuilder::StartDist ( )

Returns the on path dimension start distance.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::StartVector ( )

Returns the start direction reversed or not.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::ThroatThickToggle ( )

Returns the toggle throat thickness.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::ToggleCreateSkipWelds ( )

Returns the toggle to create skip welds.


Created in NX8.0.0.

License requirements : None

bool NXOpen::Weld::FilletBuilder::ToggleRecreateDeletedWelds ( )

Returns the toggle to recreate deleted welds.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::FilletBuilder::Uparameter1 ( )

Returns the u parameter for first face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::FilletBuilder::Uparameter2 ( )

Returns the u parameter for second face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::FilletBuilder::Vparameter1 ( )

Returns the v parameter for first face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : None

double NXOpen::Weld::FilletBuilder::Vparameter2 ( )

Returns the v parameter for second face.


Deprecated:
Deprecated in NX10.0.0. Removed with no replacement.


Created in NX8.0.0.

License requirements : None

NXOpen::Weld::CharacteristicsBuilder* NXOpen::Weld::FilletBuilder::WeldingCharacteristics ( )

Returns the welding characteristics.


Created in NX8.0.0.

License requirements : None


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.